Package org.opencv.ximgproc

## Class FastBilateralSolverFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.FastBilateralSolverFilter

-     public class FastBilateralSolverFilter
      extends Algorithm

  Interface for implementations of Fast Bilateral Solver. For more details about this solver see CITE: BarronPoole2016 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FastBilateralSolverFilter​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FastBilateralSolverFilter` | `__fromPtr__​(long addr)` |
    `void` | `filter​(Mat src, Mat confidence, Mat dst)` | Apply smoothing operation to the source image.
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastBilateralSolverFilter

          protected FastBilateralSolverFilter​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FastBilateralSolverFilter __fromPtr__​(long addr)

    - #### filter

          public void filter​(Mat src,
                             Mat confidence,
                             Mat dst)

      Apply smoothing operation to the source image.
      Parameters:
        `src` - source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 3 channels.
        `confidence` - confidence image with unsigned 8-bit or floating-point 32-bit confidence and 1 channel.
        `dst` - destination image. Note: Confidence images with CV_8U depth are expected to in [0, 255] and CV_32F in [0, 1] range.

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`